> ## Documentation Index
> Fetch the complete documentation index at: https://docs.devmob.app.br/llms.txt
> Use this file to discover all available pages before exploring further.

# List Seat Type Suggestions

> Lists seat type suggestions for vehicle setup.



## OpenAPI

````yaml /api-reference/ops/openapi.json get /api/v1/ops/seat-types
openapi: 3.0.0
info:
  title: OABUS OPS API
  description: OABUS API
  version: '1.0'
  contact: {}
servers: []
security: []
tags: []
paths:
  /api/v1/ops/seat-types:
    get:
      tags:
        - Seat Type
      summary: List Seat Type Suggestions
      description: Lists seat type suggestions for vehicle setup.
      operationId: listSeatTypeSuggestions
      parameters:
        - name: fields
          required: false
          in: query
          description: >-
            Comma-separated list of fields to include in the response. Supports
            dot notation for nested projection (e.g.
            `id,name,user.email,trips.route.id`). Unknown fields are silently
            dropped.
          schema:
            type: string
      responses:
        '200':
          $ref: '#/components/responses/ListSeatTypeSuggestions200Response'
        '400':
          $ref: '#/components/responses/ListSeatTypeSuggestions400Response'
        '401':
          $ref: '#/components/responses/ListSeatTypeSuggestions401Response'
        '403':
          $ref: '#/components/responses/ListSeatTypeSuggestions403Response'
        '500':
          $ref: '#/components/responses/ListSeatTypeSuggestions500Response'
      security:
        - bearer: []
        - bearer: []
components:
  responses:
    ListSeatTypeSuggestions200Response:
      content:
        application/json:
          schema:
            type: array
            items:
              $ref: '#/components/schemas/SeatTypeSuggestion'
            description: Seat type suggestions
      description: OK
    ListSeatTypeSuggestions400Response:
      content:
        application/json:
          example:
            errors:
              - message: required
                path: name
            message: Bad Request Error
            statusCode: 400
          schema:
            properties:
              message:
                type: string
              statusCode:
                enum:
                  - 400
                type: number
              errors:
                items:
                  properties:
                    message:
                      type: string
                    path:
                      type: string
                  required:
                    - message
                    - path
                  type: object
                type: array
            required:
              - message
              - statusCode
            type: object
      description: Bad Request Error
    ListSeatTypeSuggestions401Response:
      content:
        application/json:
          example:
            message: Missing or invalid access token
            statusCode: 401
          schema:
            properties:
              message:
                type: string
              statusCode:
                enum:
                  - 401
                type: number
            required:
              - message
              - statusCode
            type: object
      description: Unauthorized
    ListSeatTypeSuggestions403Response:
      content:
        application/json:
          example:
            message: Insufficient permissions
            statusCode: 403
          schema:
            properties:
              message:
                type: string
              statusCode:
                enum:
                  - 403
                type: number
            required:
              - message
              - statusCode
            type: object
      description: Forbidden
    ListSeatTypeSuggestions500Response:
      content:
        application/json:
          example:
            message: Internal Server Error
            statusCode: 500
          schema:
            properties:
              message:
                type: string
              statusCode:
                enum:
                  - 500
                type: number
            required:
              - message
              - statusCode
            type: object
      description: Internal Server Error
  schemas:
    SeatTypeSuggestion:
      type: object
      properties:
        name:
          type: string
          description: Category name
          example: Executive
        color:
          description: Display color
          example: '#3B82F6'
        price:
          type: integer
          description: Base price in cents
          example: 5000
      required:
        - name
        - color
        - price
      additionalProperties: false
      description: Seat type suggestion
  securitySchemes:
    bearer:
      scheme: bearer
      bearerFormat: JWT
      type: http

````